;
;These SFR definitions are taken from the MaxQ3120 specification,
;pages 2-42 (Revision 0.5, May 20 2003).
;
;High nibble is subdecode,
;low nibble is module number
;

;********************************************************************
;
;Module 0
;
;********************************************************************

#define	PO0	M0[0];		Port 0 Output Register
#define	PO1	M0[1];		Port 1 Output Register
#define	PO2	M0[2];		Port 2 Output Register
#define	PO3	M0[3];		Port 3 Output Register
#define	PO4	M0[4];		Port 4 Output Register
#define	OWCN	M0[5];		One-wire Pin Control Register
;Reserved       M0[6]
#define	EI0	M0[7];		External Interrupt (INT0) Control Register
#define	PI0	M0[8];		Port 0 Input Register
#define	PI1	M0[9];		Port 1 Input Register
#define	PI2	M0[10];		Port 2 Input Register
#define	PI3	M0[11];		Port 3 Input Register
#define	PI4	M0[12];		Port 4 Input Register
;Reserved   equ M0[13]
;Reserved   equ M0[14]
;Reserved   equ M0[15]
#define	PD0	M0[16];		Port 0 Direction Register
#define	PD1	M0[17];		Port 1 Direction Register
#define	PD2	M0[18];		Port 2 Direction Register
#define	PD3	M0[19];		Port 3 Direction Register
#define	PD4	M0[20];		Port 4 Direction Register
;Reserved       M0[21]
;Reserved       M0[22]
;Reserved       M0[23]
;Reserved       M0[24]
;Reserved       M0[25]
;Reserved       M0[26]
#define	RTRM	M0[27];		Real Time Clock Trim Register
#define	RCNT	M0[28];		Real Time Clock Control Register
;Reserved       M0[29]
#define	RTSH	M0[30];		Real Time Clock - High-Order Seconds Counter
#define	RTSL	M0[31];		Real Time Clock - Low-Order Seconds Counter

;********************************************************************
;
;Module 1
;
;********************************************************************

#define	T0CN	M1[0];		Timer 0 Control Register
#define	T0L	M1[1];		Timer 0 Least Significant Byte
#define	T0H	M1[2];		Timer 0 Most Significant Byte
#define	SCON	M1[3];		Serial Port Control Register
#define	SBUF	M1[4];		Serial Data Buffer
#define	SPIB	M1[5];		SPI Data Buffer
#define	SPICN	M1[6];		SPI Control Register
#define	SPICF	M1[7];		SPI Configuration Register
;Reserved       M1[8]
#define	SMD	M1[9];		Serial Port Mode Register
#define	PR 	M1[10];		Phase Register
#define	SPICK	M1[11];		SPI Clock Register
;Reserved       M1[12]
;Reserved       M1[13]
;Reserved       M1[14]
;Reserved       M1[15]
;Reserved       M1[16]
;Reserved       M1[17]
;Reserved       M1[18]
;Reserved       M1[19]
;Reserved       M1[20]
;Reserved       M1[21]
;Reserved       M1[22]
;Reserved       M1[23]
#define	ICDT0	M1[24];		In-circuit Debug Temp 0 Register
#define	ICDT1	M1[25];		In-circuit Debug Temp 1 Register
#define	ICDC	M1[26];		In-circuit Debug Control Register
#define	ICDF	M1[27];		In-circuit Debug Flag Register
#define	ICDB	M1[28];		In-circuit Debug Buffer Register
#define	ICDA	M1[29];		In-circuit Debug Address Register
#define	ICDD	M1[30];		In-circuit Debug Data Register
#define	TM 	M1[31];		Test Mode Register

;********************************************************************
;
;Module 2
;
;********************************************************************

#define	T1CN	M2[0];		Timer 1 Control
#define	T1L	M2[1];		Timer 1 Least Significant Byte
#define	T1H	M2[2];		Timer 1 Most Significant Byte
#define	T2CNA	M2[3];		Timer 2 Control Register A
#define	T2H	M2[4];		Timer 2 Most Significant Byte
#define	T2RH	M2[5];		Timer 2 Most Significant Byte Reload
#define	T2CH	M2[6];		Timer 2 Most Significant Byte Capture/Compare
#define	IRCN	M2[7];		Infrared Control Register
#define	T1CL	M2[8];		Timer 1 Capture Least Significant Byte
#define	T1CH	M2[9];		Timer 1 Capture Most Significant Byte
#define	T1MD	M2[10];		Timer 1 Mode Register
#define	T2CNB	M2[11];		Timer 2 Control Register B
#define	T2V	M2[12];		Timer 2 Value Register
#define	T2R	M2[13];		Timer 2 Reload
#define	T2C	M2[14];		Timer 2 Capture/Compare Register
#define	T2CFG	M2[15];		Timer 2 Configuration Register
;Reserved       M2[16]
;Reserved       M2[17]
;Reserved       M2[18]
;Reserved       M2[19]
;Reserved       M2[20]
;Reserved       M2[21]
;Reserved       M2[22]
;Reserved       M2[23]
;Reserved       M2[24]
;Reserved       M2[25]
;Reserved       M2[26]
;Reserved       M2[27]
;Reserved       M2[28]
;Reserved       M2[29]
;Reserved       M2[30]
;Reserved       M2[31]

;********************************************************************
;
;Module 3
;
;********************************************************************

#define	MCNT	M3[0];		Multiplier Control Register
#define	MA 	M3[1];		Multiplier Operator A Register
#define	MB 	M3[2];		Multiplier Operator B Register
#define	MC2	M3[3];		Multiplier Accumulate Register 2
#define	MC1	M3[4];		Multiplier Accumulate Register 1
#define	MC0	M3[5];		Multiplier Accumulate Register 0
;Reserved       M3[6]
;Reserved       M3[7]
#define	ADCN	M3[8];		Analog to Digtal Converter Control Register
#define	PHC	M3[9];		Phase Correction Register
#define	AD0	M3[10];		Analog to Digital Converter 0 Output Register
#define	AD1	M3[11];		Analog to Digital Converter 1 Output Register
#define	ATRM	M3[12];		AFE Trim Register
;Reserved       M3[13]
;Reserved       M3[14]
;Reserved       M3[15]
;Reserved       M3[16]
;Reserved       M3[17]
;Reserved       M3[18]
;Reserved       M3[19]
;Reserved       M3[20]
;Reserved       M3[21]
;Reserved       M3[22]
;Reserved       M3[23]
;Reserved       M3[24]
;Reserved       M3[25]
;Reserved       M3[26]
;Reserved       M3[27]
;Reserved       M3[28]
;Reserved       M3[29]
;Reserved       M3[30]
;Reserved       M3[31]



;********************************************************************
;
;Bit Declarations
;
;********************************************************************

;
;One-Wire Pin Control Register (OWCN)
;
#define	OW0 	M0[5].0;	One-Wire Port Output
#define	OWD 	M0[5].1;	One-Wire Port Pin Direction
#define	OWI 	M0[5].2;	One-Wire Port Input

;
;External Interrupt 0 (INT0) Register (EIO)
;
#define IE0 	M0[7].0;	Interrupt 0 Edge Detect
#define	EX0 	M0[7].1;	Enable External Interrupt 0
#define	IT0 	M0[7].2;	Edge Detect for EIO

;
;Real-Time Clock Control Register (RCNT)
;
#define	RTCE	M0[28].0;	Real Time Clock Enable
#define	BUSY	M0[28].3;	RTC Busy
#define	RDY 	M0[28].4;	RTC Ready
#define	RDYE	M0[28].5;	RTC Ready Enable
#define	SQE 	M0[28].8;	RTC Square Wave Output Enable
#define	FT  	M0[28].9;	RTC Frequency Test
#define	WE  	M0[28].15;	RTC Write Enable

;
;Timer 0 Control Register (T0CN)
;
#define	M0  	M1[0].0;	Timer 0 Mode Select bit 0
#define	M1  	M1[0].1;	Timer 0 Mode Select bit 1
#define	CT  	M1[0].2;	Counter/Timer 0 Select
#define	GATE	M1[0].3;	Timer 0 Gate Control
#define	TR0 	M1[0].4;	Timer 0 Run Control
#define	TF0 	M1[0].5;	Timer 0 Overflow Flag
#define	T0M 	M1[0].6;	Timer 0 Clock Select
#define	ET0 	M1[0].7;	Enable Timer 0 Interrupt

;
;Serial Port Control Register (SCON)
;
#define	RI  	M1[3].0;	Receive Interrupt Flag
#define	TI  	M1[3].1;	Transmit Interrupt Flag
#define	RB8 	M1[3].2;	9th Received Bit State
#define	TB8 	M1[3].3;	9th Transmission Bit State
#define	REN 	M1[3].4;	Receive Enable
#define	SM2 	M1[3].5;	Serial Port Mode Bit 2
#define	SM1 	M1[3].6;	Serial Port Mode Bit 1
#define	SM0FE	M1[3].7;	Serial Port Mode Bit 0/Framing Error Flag

;
;SPI Control Register (SPICN)
;
#define	SPIEN	M1[6].0;	SPI Enable
#define	MSTM	M1[6].1;	Master Mode Enable
#define	MODFE	M1[6].2;	Mode Fault Enable
#define	MODF	M1[6].3;	Mode Fault Flag
#define	WCOL	M1[6].4;	Write Collision Flag
#define	ROVR	M1[6].5;	Receive Overrun Flag
#define	SPIC	M1[6].6;	SPI Transfer Complete Flag
#define	STBY	M1[6].7;	SPI Transfer Busy Flag

;
;SPI Configuration Register (SPICF)
;
#define	CKPOL	M1[7].0;	Clock Polarity Select
#define	CKPHA	M1[7].1;	Clock Phase Select
#define	CHR 	M1[7].2;	Character Length Bit
#define	ESPII	M1[7].7;	SPI Interrupt Enable

;
;Serial Port Mode Register (SMD)
;
#define	FEDE	M1[9].0;	Framing Error Detection Enable
#define	SMOD	M1[9].1;	Serial Port Baud Rate Select
#define	ESI 	M1[9].2;	Enable Serial Port Interrupt

;
;In-Circuit Debug Control Register (ICDC)
;
#define	CMD0	M1[26].0;	Command Bit 0
#define	CMD1	M1[26].1;	Command Bit 1
#define	CMD2	M1[26].2;	Command Bit 2
#define	CMD3	M1[26].3;	Command Bit 3
#define	REGE	M1[26].5;	Break on Register Enable
#define	DME 	M1[26].7;	Debug Mode Enable

;
;In-Circuit Debug Flag Register (ICDF)
;
#define	TXC 	M1[27].0;	Serial Transfer Complete
#define	SPE 	M1[27].1;	System Program Enable
#define	PSS0	M1[27].2;	Programming Source Select Bit 0
#define	PSS1	M1[27].3;	Programming Source Select Bit 1

;
;Test Mode Register (TM)
;
#define	TME 	M1[31].0;	Test Mode Enable
#define	CKT 	M1[31].2;	Clock Test Enable
#define	SRT 	M1[31].3;	Switch reset Trip Point Voltage
#define	DOFF	M1[31].5;	Stop Watchdog Count
#define	IDDQ	M1[31].6;	IDDQ Test
#define	DCW 	M1[31].7;	Disable Crystal Warm-Up
#define	COUT	M1[31].8;	System Clock Output Enable
#define	ADWE	M1[31].9;	ADn FIFO Write Enable
#define	ADFM	M1[31].10;	AFE Debug Mode Enable

;
;Timer 1 Control (T1CN)
;
#define	CPRL1	M2[0].0;	Capture/Reload Select
#define	CT1 	M2[0].1;	Counter/Timer Select
#define	TR1 	M2[0].2;	Timer 1 Run Control
#define	EXEN1	M2[0].3;	Timer 1 External Enable
#define	DCEN	M2[0].4;	Down Count Enable
#define	T1OE	M2[0].5;	Timer 1 Output Enable
#define	EXF1	M2[0].6;	External Timer 1 Trigger Flag
#define	TF1 	M2[0].7;	Timer 1 Overflow Flag

;
;Timer 2 Control Register A (T2CNA)
;
#define	G2EN	M2[3].0;	Gating Enable
#define	SS2 	M2[3].1;	Single Shot
#define	CPRL2	M2[3].2;	Capture and Reload Enable
#define	TR2 	M2[3].3;	Timer 2 Run Enable
#define	TR2L	M2[3].4;	Timer 2 Low Run Enable
#define	T2POL0	M2[3].5;	Timer 2 Polarity Select 0
#define	T2OE0	M2[3].6;	Timer 2 Output Enable 0
#define	ET2 	M2[3].7;	Enable Timer 2 Interrupts

;
;Infrared Control Register (IRCN)
;
#define	IRBB	M2[7].0;	Infrared Bit-Bang Bit
#define	IRTX	M2[7].1;	Infrared Transmit Enable
#define	IREN	M2[7].2;	Infrared Subcarrier Enable

;
;Timer 1 Mode Register (TIMD)
;
#define	T1M 	M2[10].0;	Timer 1 Clock Select
#define	ET1 	M2[10].1;	Enable Timer 1 Interrupt

;
;Timer 2 Control Register B (T2CNB)
;
#define	TC2L	M2[11].0;	Timer 2 Low Compare Flag
#define	TCC2	M2[11].1;	Timer 2 Capture/Compare Flag
#define	TF2L	M2[11].2;	Timer 2 Low Overflow Flag
#define	TF2 	M2[11].3;	Timer 2 Overflow Flag
#define	T2POL1	M2[11].5;	Timer 2 Polarity Select 1
#define	T2OE1	M2[11].6;	Timer 2 Output Enable 1
#define	ET2L	M2[11].7;	Enable Timer 2 Interrupts

;
;Timer 2 Configuration Register (T2CFG)
;
#define	CT2 	M2[15].0;	Timer 2 Counter/Timer Select
#define	CCF0	M2[15].1;	Timer 2 Capture/Compare Function Select 0
#define	CCF1	M2[15].2;	Timer 2 Capture/Compare Function Select 1
#define	T2MD	M2[15].3;	Timer 2 Mode Select
#define	T2DIV0	M2[15].4;	Timer 2 Clock Divide Bit 0
#define	T2DIV1	M2[15].5;	Timer 2 Clock Divide Bit 1
#define	T2DIV2	M2[15].6;	Timer 2 Clock Divide Bit 2
#define	T2CI	M2[15].7;	Timer 2 Clock Input Select Bit
;
;Multiplier Control Register (MCNT)
;
#define	SUS 	M3[0].0;	Signed-Unsigned
#define	MMAC	M3[0].1;	Multiply-Accumulate Enable
#define	CLD 	M3[0].2;	Clear data Register
#define	OPCS	M3[0].3;	Operand Count Select
#define	SQU 	M3[0].4;	Square Function Enable
#define	OF  	M3[0].7;	Overflow Flag

;
;Analog to Digital Converter Control Register
;
#define	ABF0	M3[8].0;	ADC0 Buffer Full Flag
#define	ABF1	M3[8].1;	ADC1 Buffer Full Flag
#define	FOV0	M3[8].2;	ADC0 FIFO Overflow Flag
#define	FOV1	M3[8].3;	ADC1 FIFO Overflow Flag
#define	FLU0	M3[8].4;	ADC0 FIFO Flush
#define	FLU1	M3[8].5;	ADC1 FIFO Flush
#define	EDBI	M3[8].6;	Enable Dual Buffer Interrupt
#define	UFF 	M3[8].7;	Unified FIFO Full Enable
#define	APD0	M3[8].8;	Power Down Modulator 0 Select
#define	APD1	M3[8].9;	Power Down Modulator 1 Select
#define	APD2	M3[8].10;	Power Down Bandgap Select
#define	G0  	M3[8].12;	Gain Setting for Modulator Channel 0 Bit 0
#define	G1  	M3[8].13;	Gain Setting for Modulator Channel 0 Bit 1
#define	G2  	M3[8].14;	Gain Setting for Modulator Channel 1 Bit 0
#define	G3  	M3[8].15;	Gain Setting for Modulator Channel 1 Bit 1
;
;Phase Correction Register (PHC)
;
#define	ZPS 	M3[9].15;	Zero Pad Select Bit
;
; Interrupt Control bits
;
#define	IGE	M8[5].0;	Interrupt Global Enable
#define	INS	M8[5].1;	Interrupt In Service
#define	CGDS	M8[5].5;	System Clock Gating Disable
;
; Interrupt Mask Register bits
;
#define	IM0	M8[6].0;	Interrupt Mask Module 0
#define	IM1	M8[6].1;	Interrupt Mask Module 1
#define	IM2	M8[6].2;	Interrupt Mask Module 2
#define	IM3	M8[6].3;	Interrupt Mask Module 3
#define	IMS	M8[6].7;	Interrupt Mask Module System
;
; System Control Register bits
;
#define	ROD	M8[8].2;	ROM Operation Done
#define	TAP	M8[8].7;	Test Access (JTAG) Port Enable
;
; Interrupt Identification Register bits
;
#define II0	M8[11].0;	Interrupt ID 0
#define II1	M8[11].1;	Interrupt ID 1
#define II2	M8[11].2;	Interrupt ID 2
#define II3	M8[11].3;	Interrupt ID 3
#define IIS	M8[11].7;	Interrupt ID System
;
; System Clock Control Register bits
;
#define CD0	M8[14].0;	Clock Divide Control 0
#define CD1	M8[14].1;	Clock Divide Control 1
#define PMME	M8[14].2;	Power Management Mode Enable
#define SWB	M8[14].3;	Switch-Back Enable
#define STOP	M8[14].4;	Stop Mode Select
;
; Watchdog Timer Control bits
;
#define RWT	M8[15].0;	Reset Watchdog Timer
#define EWT	M8[15].1;	Enable Watchdog Timer Reset
#define WTRF	M8[15].2;	Watchdog Timer Reset Flag
#define WDIF	M8[15].3;	Watchdog Timer Interrupt Flag
#define WD0	M8[15].4;	Watchdog Timer Mode Select 0
#define WD1	M8[15].5;	Watchdog Timer Mode Select 1
#define EWDI	M8[15].6;	Watchdog Interrupt Enable
#define POR	M8[15].7;	Power-On Reset Flag
;
; Null register
;
#define	NUL	m6[7];		Bit bucket

